classification
Title: test_executable_without_cwd fails: AssertionError: 1 != 47
Type: behavior Stage:
Components: Library (Lib), Tests Versions: Python 2.7
process
Status: closed Resolution: not a bug
Dependencies: Superseder:
Assigned To: Nosy List: dmalcolm, sandro.tosi, srid
Priority: normal Keywords:

Created on 2010-08-24 16:40 by srid, last changed 2011-01-04 13:37 by sandro.tosi. This issue is now closed.

Messages (8)
msg114797 - (view) Author: Sridhar Ratnakumar (srid) Date: 2010-08-24 16:40
I see the following failure on Fedora Core 4 (32-bit and 64-bit) with Python 2.7.0.

======================================================================
FAIL: test_executable_without_cwd (test.test_subprocess.ProcessTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/apy/rrun/tmp/autotest/apy/lib/python2.7/test/test_subprocess.py", line 157, in test_executable_without_cwd
    self.assertEqual(p.returncode, 47)
AssertionError: 1 != 47

======================================================================
FAIL: test_executable_without_cwd (test.test_subprocess.ProcessTestCaseNoPoll)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/apy/rrun/tmp/autotest/apy/lib/python2.7/test/test_subprocess.py", line 157, in test_executable_without_cwd
    self.assertEqual(p.returncode, 47)
AssertionError: 1 != 47

----------------------------------------------------------------------
msg124973 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2010-12-31 19:24
Hello,
I tried on a freshly build 2.7, and I can't replicate the reported error. Could it be it has been fixed by r78136?

Sridhar, are you still seeing this error?

Cheers,
Sandro
msg125225 - (view) Author: Sridhar Ratnakumar (srid) Date: 2011-01-03 20:04
Sandro Tosi wrote:
> Sridhar, are you still seeing this error?

I still see the error with Python 2.7.1.
msg125262 - (view) Author: Dave Malcolm (dmalcolm) (Python committer) Date: 2011-01-04 00:39
Note that for that test case to be run, it must be on an installed python:
    @unittest.skipIf(sysconfig.is_python_build(),
                     "need an installed Python. See #7774")

Am testing the 2.7 branch now on an x86_64 Fedora 13 box
msg125265 - (view) Author: Dave Malcolm (dmalcolm) (Python committer) Date: 2011-01-04 00:48
That test works for me on this x86_64 Fedora 13 box (using latest 2.7 code from SVN, built and installed to a test prefix):

[david@surprise bin]$ ./python -m test.regrtest -v test_subprocess
== CPython 2.7.1+ (release27-maint:87724, Jan 3 2011, 19:39:26) [GCC 4.4.4 20100630 (Red Hat 4.4.4-10)]
==   Linux-2.6.33.3-84.fc13.x86_64-x86_64-with-fedora-13-Goddard little-endian
==   /tmp/test_python_24104
Testing with flags: sys.flags(debug=0, py3k_warning=0, division_warning=0, division_new=0, inspect=0, interactive=0, optimize=0, dont_write_bytecode=0, no_user_site=0, no_site=0, ignore_environment=0, tabcheck=0, verbose=0, unicode=0, bytes_warning=0)
test_subprocess
...
test_executable_without_cwd (test.test_subprocess.ProcessTestCase) ... ok
...
test_executable_without_cwd (test.test_subprocess.ProcessTestCaseNoPoll) ... ok
...

though I do see another failure:
======================================================================
FAIL: test_wait_when_sigchild_ignored (test.test_subprocess.POSIXProcessTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/david/coding/python-svn-anon/2.7-clean/tmp-prefix/lib/python2.7/test/test_subprocess.py", line 841, in test_wait_when_sigchild_ignored
    " non-zero with this error:\n%s" % stderr)
AssertionError: sigchild_ignore.py exited non-zero with this error:
/home/david/coding/python-svn-anon/2.7-clean/tmp-prefix/bin/python: can't open file 'subprocessdata/sigchild_ignore.py': [Errno 2] No such file or directory


----------------------------------------------------------------------
Ran 123 tests in 17.621s

FAILED (failures=1, skipped=14)
msg125266 - (view) Author: Dave Malcolm (dmalcolm) (Python committer) Date: 2011-01-04 00:51
I should note that Fedora Core 4 reached its "End of Life" at August 2006:
http://fedoraproject.org/wiki/End_of_life

Do you see this with a more up-to-date version of Fedora?
msg125269 - (view) Author: Sridhar Ratnakumar (srid) Date: 2011-01-04 01:04
Dave Malcolm wrote:
> I should note that Fedora Core 4 reached its "End of Life" at August 2006:
> http://fedoraproject.org/wiki/End_of_life
>
> Do you see this with a more up-to-date version of Fedora?

I don't have access to other versions of FC at the moment.

Hmm, if this bug is specific to a EoL'ed version FC, then perhaps this 
issue can be closed as WontFix?
msg125315 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-01-04 13:37
Ok, so the situation is:

- I've test on debian sid and it works fine
- Dave on a Fedora 13 and it works
- I asked a couple of guys to try it on their systems, that's Fedora14 and Gentoo and it works fine

So I think we can conclude it's a Fedora Core 4 specific problem (that's EOL tho).

I'm closing this report (if someone thinks it's too early, please reopen it :)

Cheers,
Sandro
History
Date User Action Args
2011-01-04 13:37:29sandro.tosisetstatus: open -> closed

messages: + msg125315
resolution: not a bug
nosy: srid, dmalcolm, sandro.tosi
2011-01-04 01:04:49sridsetnosy: srid, dmalcolm, sandro.tosi
messages: + msg125269
2011-01-04 00:51:56dmalcolmsetnosy: srid, dmalcolm, sandro.tosi
messages: + msg125266
2011-01-04 00:48:49dmalcolmsetnosy: srid, dmalcolm, sandro.tosi
messages: + msg125265
2011-01-04 00:39:24dmalcolmsetnosy: srid, dmalcolm, sandro.tosi
messages: + msg125262
2011-01-04 00:31:27pitrousetnosy: + dmalcolm
2011-01-03 20:04:34sridsetnosy: srid, sandro.tosi
messages: + msg125225
2010-12-31 19:24:31sandro.tosisetnosy: + sandro.tosi
messages: + msg124973
2010-08-24 16:40:31sridcreate